Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkContourValues Class Reference

`#include <vtkContourValues.h>`

Inheritance diagram for vtkContourValues:

[legend]
Collaboration diagram for vtkContourValues:

[legend]
List of all members.

## Detailed Description

helper object to manage setting and generating contour values

Date:
  2002/12/26 18:24:21

Revision:
  1.22

vtkContourValues is a general class to manage the creation, generation, and retrieval of contour values. This class serves as a helper class for contouring classes, or those classes operating on lists of contour values.

See also:
  vtkContourFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (60%)
  - Kelly, Ann (11%)
  - Martin, Ken (10%)
  - Lorensen, Bill (8%)
  - Avila, Lisa (7%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkContourValues.h)`
  - .`cxx` (`/Common/vtkContourValues.cxx)`

Definition at line 51 of file vtkContourValues.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetValue (int i, float value)
float | GetValue (int i)
float * | GetValues ()
void | GetValues (float *contourValues)
void | SetNumberOfContours (const int number)
int | GetNumberOfContours ()
void | GenerateValues (int numContours, float range[2])
void | GenerateValues (int numContours, float rangeStart, float rangeEnd)
## Static Public Methods
vtkContourValues * | New ()
int | IsTypeOf (const char *type)
vtkContourValues * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkContourValues ()
| ~vtkContourValues ()
## Protected Attributes
vtkFloatArray * | Contours

## Member Typedef Documentation

typedef vtkObject vtkContourValues::Superclass

| Reimplemented from vtkObject. Definition at line 57 of file vtkContourValues.h.

## Constructor & Destructor Documentation

vtkContourValues::vtkContourValues | ( |  | ) | `[protected]`

vtkContourValues::~vtkContourValues | ( |  | ) | `[protected]`

## Member Function Documentation

vtkContourValues* vtkContourValues::New | ( |  | ) | `[static]`

| Construct object with a single contour value at 0.0. Reimplemented from vtkObject.

virtual const char* vtkContourValues::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkContourValues::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkContourValues::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkContourValues* vtkContourValues::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkContourValues::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

void vtkContourValues::SetValue | ( | int | i,
|  | float | value
| ) |

| Set the ith contour value. Referenced by vtkMarchingSquares::SetValue(), vtkMarchingCubes::SetValue(), vtkMarchingContourFilter::SetValue(), vtkImageMarchingCubes::SetValue(), vtkContourGrid::SetValue(), vtkContourFilter::SetValue(), and vtkBandedPolyDataContourFilter::SetValue().

float vtkContourValues::GetValue | ( | int | i | ) |

| Get the ith contour value. The return value will be clamped if the index i is out of range. Referenced by vtkMarchingSquares::GetValue(), vtkMarchingCubes::GetValue(), vtkMarchingContourFilter::GetValue(), vtkImageMarchingCubes::GetValue(), vtkContourGrid::GetValue(), vtkContourFilter::GetValue(), and vtkBandedPolyDataContourFilter::GetValue().

float* vtkContourValues::GetValues | ( |  | ) |

| Return a pointer to a list of contour values. The contents of the list will be garbage if the number of contours <= 0. Referenced by vtkMarchingSquares::GetValues(), vtkMarchingCubes::GetValues(), vtkMarchingContourFilter::GetValues(), vtkImageMarchingCubes::GetValues(), vtkContourGrid::GetValues(), vtkContourFilter::GetValues(), and vtkBandedPolyDataContourFilter::GetValues().

void vtkContourValues::GetValues | ( | float * | contourValues | ) |

| Fill a supplied list with contour values. Make sure you've allocated memory of size GetNumberOfContours().

void vtkContourValues::SetNumberOfContours | ( | const int | number | ) |

| Set the number of contours to place into the list. You only really need to use this method to reduce list size. The method SetValue() will automatically increase list size as needed. Referenced by vtkMarchingSquares::SetNumberOfContours(), vtkMarchingCubes::SetNumberOfContours(), vtkMarchingContourFilter::SetNumberOfContours(), vtkImageMarchingCubes::SetNumberOfContours(), vtkContourGrid::SetNumberOfContours(), vtkContourFilter::SetNumberOfContours(), and vtkBandedPolyDataContourFilter::SetNumberOfContours().

int vtkContourValues::GetNumberOfContours | ( |  | ) |

| Return the number of contours in the Referenced by vtkMarchingSquares::GetNumberOfContours(), vtkMarchingCubes::GetNumberOfContours(), vtkMarchingContourFilter::GetNumberOfContours(), vtkImageMarchingCubes::GetNumberOfContours(), vtkContourGrid::GetNumberOfContours(), vtkContourFilter::GetNumberOfContours(), and vtkBandedPolyDataContourFilter::GetNumberOfContours().

void vtkContourValues::GenerateValues | ( | int | numContours,
|  | float | range[2]
| ) |

| Generate numContours equally spaced contour values between specified range. Contour values will include min/max range values. Referenced by vtkMarchingSquares::GenerateValues(), vtkMarchingCubes::GenerateValues(), vtkMarchingContourFilter::GenerateValues(), vtkImageMarchingCubes::GenerateValues(), vtkContourGrid::GenerateValues(), vtkContourFilter::GenerateValues(), and vtkBandedPolyDataContourFilter::GenerateValues().

void vtkContourValues::GenerateValues | ( | int | numContours,
|  | float | rangeStart,
|  | float | rangeEnd
| ) |

| Generate numContours equally spaced contour values between specified range. Contour values will include min/max range values.

## Member Data Documentation

vtkFloatArray* vtkContourValues::Contours`[protected]`

| Definition at line 96 of file vtkContourValues.h.

The documentation for this class was generated from the following file:

- Common/vtkContourValues.h